> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List brand config versions

> Published config versions (without snapshots).

### Path parameters

<ParamField path="brand_id" type="string (uuid)" required />

### Query parameters

<ParamField query="limit" type="integer">
  Max items (capped at 1000).
</ParamField>

<ParamField query="offset" type="integer" />

<ParamField query="status" type="string">
  Filter by status.
</ParamField>

### Response

`object`

<ResponseField name="items" type="object[]" required>
  <Expandable title="items">
    <ResponseField name="id" type="string (uuid)" required />

    <ResponseField name="brand_id" type="string (uuid)" required />

    <ResponseField name="version" type="integer" required />

    <ResponseField name="fingerprint" type="string" required />

    <ResponseField name="published_by" type="string" />

    <ResponseField name="published_at" type="string (date-time)" required />

    <ResponseField name="is_active" type="boolean" required />

    <ResponseField name="created_at" type="string (date-time)" required />
  </Expandable>
</ResponseField>

### Status codes

| Code | Meaning |
| - | - |
| `200` | Published config versions (without snapshots). |
| `400` | Validation error |
| `401` | Unauthorized |
| `404` | Not found |
| `429` | Rate limited |
| `500` | Internal error |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config/versions' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "items": [
      {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "version": 1,
        "fingerprint": "sha256:9f86d081884c7d659a2feaa0c55ad015",
        "published_by": "string",
        "published_at": "2026-08-31T14:22:05Z",
        "is_active": true,
        "created_at": "2026-08-31T14:22:05Z"
      }
    ]
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.